Download it now!
Bug 80367 - Data > XML Source > F1 no Help page is displayed.
Summary: Data > XML Source > F1 no Help page is displayed.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
4.1.6.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.4.0 target:6.1.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2014-06-22 22:43 UTC by Olivier Hallot
Modified: 2018-03-20 13:49 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2014-06-22 22:43:02 UTC
Feature in Calc: Data - XML Source has no help button nor any Help content to explain its purpose.

User unfamiliar with the concept of XML input will overlook this feature because of the missing documentation.
Comment 1 Owen Genat (retired) 2014-07-19 10:43:47 UTC
Confirmed. The dialog displayed via Data > XML Source... does not link to any online Help page under GNU/Linux for any of these versions:

- v4.1.6.2 Build ID: 40ff705089295be5be0aae9b15123f687c05b0a
- v4.2.5.2 Build ID: 61cb170a04bb1f12e77c884eab9192be736ec5f5

v4.1.6.2: Scalc/sc.ImageButton.25773.11
v4.2.5.2: Scalc/sc.ImageButton.25774.11

Also tested under v4.3.0.2 and v4.4.0.0 (display: Scalc/modules/scalc/ui/xmlsourcedialog/selectsource) but I imagine these are not expected to have valid help pages yet.

Status set to NEW. Version set to v4.1.6.2. Summary amended for clarity.
Comment 2 Commit Notification 2014-08-21 13:19:52 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e903d3ab049237b3588d1baea23b4c5ada17c34c

fdo#80367 (part) help pages fo Calc XML source



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Olivier Hallot 2015-04-18 12:44:14 UTC
explanation here

https://wiki.documentfoundation.org/Development/Calc/XMLSource

to be used as source for the help page
Comment 4 Olivier Hallot 2015-04-18 12:45:52 UTC
should add a example as well
Comment 5 Xisco Faulí 2016-09-15 22:04:44 UTC
Hello,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Comment 6 Olivier Hallot 2017-03-01 11:25:42 UTC
The commit of comment#2 is only to add a Help button to the dialog.

The content of the help page is still open.
Comment 7 Commit Notification 2018-03-20 13:47:55 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=bd71cddd5c343dc894e78bb9809acb94ca1db337

tdf#80367 Help page for Calc XML Source